import { getQuestionList } from "../../service/user";
import { alertInfo } from "../../utils/index";
import request from '../../utils/request'
const { OK } = request
// pages/questions/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    questions: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getList();
  },
  async getList() {
    const { page, questions } = this.data;
    const { code, data, message, total } = await getQuestionList(page)
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    let next = true;
    if (total <= page * 20) {
      next = false;
    }
    this.setData({
      questions: [...questions, ...data],
      next,
      page: next ? page + 1 : page
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {
    this.getList();
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})